## sia 1.0.4

=== debian/changelog ===
sia (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4

 -- Bjorn Dolk <debian@bjorndolk.com>  Thu, 06 Apr 2017 18:29:24 +0200
