=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>
+Uploaders: Free Ekanayaka <freee@debian.org>, Bjorn Dolk <debian@bjorndolk.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
