=== debian/changelog ===
sia (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Attempt fixing piuparts

  * d/gitlab-ci.yml:
    + Switch to default gitlab-ci.yml -- sia is
    a leaf package w/o revdeps and would break nothing
    + Disable reprotest
  * Move preinst -> sia.preinst
  * Add postrm to remove /var/log/sia and user sia
  * d/sia.logrotate: add missingok

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 May 2022 19:30:53 +0530

sia (1.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add patch to fix FTBFS (Closes: #1008464)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 May 2022 11:55:44 +0530

sia (1.3.0-1) unstable; urgency=medium

  [ Bjorn Dolk ]
  * Added bash completion for siac
  * Change section to net (Closes: #855271)
  * Added manpages for siac
  * Added logdir to debian/dirs
  * Added logrotate
  * Exact version of muxido for stabillity
  * Manpage for siad
  * Added system-d config
  * Added user sia with home /var/lib/sia
  * Added logdir /var/lib/sia
  * Added patch to write logs to /var/log/sia

  [ Free Ekanayaka ]
  * New upstream version 1.3.0

 -- Free Ekanayaka <freee@debian.org>  Tue, 31 Oct 2017 23:54:54 +0000
