=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sia
-Section: devel
-Priority: extra
+Section: net
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>, Bjorn Dolk <debian@bjorndolk.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-go,
                golang-github-bgentry-speakeasy-dev,
@@ -18,20 +18,25 @@
                golang-github-nebulouslabs-entropy-mnemonics-dev,
                golang-github-nebulouslabs-go-upnp-dev,
                golang-github-nebulouslabs-merkletree-dev,
-	       golang-github-huin-goupnp-dev,
-	       golang-github-inconshreveable-muxado-dev,
-               golang-github-spf13-cobra-dev
-Standards-Version: 3.9.8
+               golang-github-nebulouslabs-errors-dev,
+               golang-github-huin-goupnp-dev,
+               golang-github-inconshreveable-muxado-dev,
+               golang-github-spf13-cobra-dev,
+               golang-github-xtaci-smux-dev,
+	       golang-github-nebulouslabs-fastrand-dev,
+               bash-completion
+Standards-Version: 4.6.0
 Homepage: https://github.com/NebulousLabs/Sia
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/sia.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/sia.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/sia
+Vcs-Git: https://salsa.debian.org/go-team/packages/sia.git
 XS-Go-Import-Path: github.com/NebulousLabs/Sia
 
 Package: sia
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+	 adduser
 Description: Blockchain-based marketplace for file storage
  Sia is a decentralized cloud storage platform aimed at giving users
  control of their data. Data is split into hundreds of erasure coded
