=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang --with=bash-completion

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	
override_dh_installinit:
